/* ========================================
 *
 * Copyright YOUR COMPANY, THE YEAR
 * All Rights Reserved
 * UNPUBLISHED, LICENSED SOFTWARE.
 *
 * CONFIDENTIAL AND PROPRIETARY INFORMATION
 * WHICH IS THE PROPERTY OF your company.
 *
 * ========================================
*/
#include "include.h"

void Init(void)
{
    __enable_irq(); /* Enable global interrupts. */

    /* Place your initialization/startup code here (e.g. MyInst_Start()) */

    /* Initialize with and enable config set in the components */
    Cy_TCPWM_Counter_Init(Counter_HW, Counter_CNT_NUM, &Counter_config);
    Cy_TCPWM_Enable_Multiple(Counter_HW, Counter_CNT_MASK);
    Cy_TCPWM_PWM_Init(Timer_HW, Timer_CNT_NUM, &Timer_config);
    Cy_TCPWM_Enable_Multiple(Timer_HW, Timer_CNT_MASK);
    Cy_TCPWM_PWM_Init(PWM_HW, PWM_CNT_NUM, &PWM_config);
    Cy_TCPWM_Enable_Multiple(PWM_HW, PWM_CNT_MASK);
    
    
    /* Hookup and enable interrupt */
    Cy_SysInt_Init(&SysInt_Counter_cfg, IsrCounter);
    NVIC_EnableIRQ((IRQn_Type)SysInt_Counter_cfg.intrSrc);

    
    /* Start the Components */
    Cy_TCPWM_TriggerStart(Counter_HW, Counter_CNT_MASK);
    Cy_TCPWM_TriggerStart(Timer_HW, Timer_CNT_MASK);    
    Cy_TCPWM_TriggerStart(PWM_HW, PWM_CNT_MASK);    
       
}
/* [] END OF FILE */
