/* ========================================
 *
 * Copyright YOUR COMPANY, THE YEAR
 * All Rights Reserved
 * UNPUBLISHED, LICENSED SOFTWARE.
 *
 * CONFIDENTIAL AND PROPRIETARY INFORMATION
 * WHICH IS THE PROPERTY OF your company.
 *
 * ========================================
*/
#include "include.h"

void IsrCounter(void)
{
    /* Get which event triggered the interrupt */
    uint32_t intSource = Cy_TCPWM_GetInterruptStatus(Counter_HW, Counter_TCPWM__CNT_IDX);

    /* Clear interrupt */
    Cy_TCPWM_ClearInterrupt(Counter_HW, Counter_TCPWM__CNT_IDX, CY_TCPWM_INT_ON_CC_OR_TC);
    NVIC_ClearPendingIRQ(SysInt_Counter_cfg.intrSrc);
    
    /* If the interrupt is triggered by capture event then set Counter_intflag */
    if(intSource == CY_TCPWM_INT_ON_CC)
    {
        Capture_intflag = SET;
    }
    
    /* If the interrupt is triggered by an overflow event, then set Ovrflw_intflag */ 
    if(intSource == CY_TCPWM_INT_ON_TC)
    {
        Ovrflw_intflag = SET;
    }
    
    /* If the interrupt is triggered by capture event and overflow event, then set 
    Counter_intflag and Ovrflw_intflag*/     
    if(intSource == CY_TCPWM_INT_ON_CC_OR_TC)
    {
        Capture_intflag = SET;
        Ovrflw_intflag = SET;
    }
    
} 

int main(void)
{
    __enable_irq(); /* Enable global interrupts. */
    
    Init();    /*Initialize*/
    
    for(;;)
    {
        if(Ovrflw_intflag == SET)
        {
            Cal_OvrflwCount();
        }
        if(Capture_intflag == SET)
        {
            Cal_Output();
        }
    }
}

/* [] END OF FILE */
